Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.xml
Class JRPrintXmlLoader

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRPrintXmlLoader

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

    public class JRPrintXmlLoader

extends java.lang.Object
implements org.xml.sax.ErrorHandler

Version:
  $Id: JRPrintXmlLoader.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`protected` | `JRPrintXmlLoader()`

Method Summary
`void` | `addError(java.lang.Exception e)`
`protected void` | `addGenericElementRules(JRXmlDigester digester)`
`protected void` | `addHyperlinkParameterRules(JRXmlDigester digester)`
`void` | `error(org.xml.sax.SAXParseException e)`
`void` | `fatalError(org.xml.sax.SAXParseException e)`
`static JasperPrint` | `load(java.io.InputStream is)`
`static JasperPrint` | `load(java.lang.String sourceFileName)`
`void` | `setJasperPrint(JasperPrint jasperPrint)`
`void` | `warning(org.xml.sax.SAXParseException e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRPrintXmlLoader

    protected JRPrintXmlLoader()

Method Detail

### setJasperPrint

    public void setJasperPrint(JasperPrint jasperPrint)

### load

    public static JasperPrint load(java.lang.String sourceFileName)
                            throws JRException

  Throws:
    `JRException`

### load

    public static JasperPrint load(java.io.InputStream is)
                            throws JRException

  Throws:
    `JRException`

### addHyperlinkParameterRules

    protected void addHyperlinkParameterRules(JRXmlDigester digester)

### addGenericElementRules

    protected void addGenericElementRules(JRXmlDigester digester)

### addError

    public void addError(java.lang.Exception e)

### error

    public void error(org.xml.sax.SAXParseException e)

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException e)

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`

### warning

    public void warning(org.xml.sax.SAXParseException e)

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com